CREATE TABLE IF NOT EXISTS `jcow_accounts` (
  `id` int(11) NOT NULL auto_increment,
  `fbid` bigint(20) NOT NULL default '0',
  `email` varchar(120) NOT NULL default '',
  `lastact` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `username` varchar(25) NOT NULL default '',
  `fullname` varchar(30) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `level` tinyint(4) NOT NULL default '0',
  `points` int(11) NOT NULL default '0',
  `avatar` varchar(50) NOT NULL default '',
  `signature` text,
  `blurbs` text,
  `profile_permission` tinyint(4) NOT NULL default '0',
  `location` varchar(100) NOT NULL default '',
  `lastlogin` int(11) NOT NULL default '0',
  `ipaddress` varchar(30) NOT NULL default '',
  `chpass` varchar(10) NOT NULL default '',
  `disabled` tinyint(4) NOT NULL default '0',
  `intr` text,
  `gender` tinyint(4) NOT NULL default '0',
  `about_me` text,
  `birthyear` int(4) NOT NULL default '0',
  `birthmonth` tinyint(2) NOT NULL default '0',
  `birthday` tinyint(2) NOT NULL default '0',
  `hide_age` tinyint(1) NOT NULL default '0',
  `reg_code` varchar(8) NOT NULL default '',
  `forum_posts` int(11) NOT NULL default '0',
  `featured` tinyint(1) NOT NULL default '0',
  `roles` varchar(255) NOT NULL default '',
  `country` varchar(50) NOT NULL default '',
  `locale` varchar(50) NOT NULL default '',
  `state` varchar(50) NOT NULL default '',
  `jcowsess` char(12) NOT NULL default '',
  `token` varchar(32) NOT NULL default '',
  `wall_id` int(11) NOT NULL default '0',
  `followers` int(11) NOT NULL default '0',
  `settings` text,
  `var1` varchar(255) NOT NULL default '',
  `var2` varchar(255) NOT NULL default '',
  `var3` varchar(255) NOT NULL default '',
  `var4` varchar(255) NOT NULL default '',
  `var5` varchar(255) NOT NULL default '',
  `var6` varchar(255) NOT NULL default '',
  `var7` varchar(255) NOT NULL default '',
  `pass` varchar(32) NOT NULL default '',
  `hide_me` tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `username` (`username`),
  KEY `lastlogin` (`lastlogin`),
  KEY `email` (`email`),
  KEY `fbid` (`fbid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `jcow_blacks` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `bid` int(11) NOT NULL default '0',
  `bname` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`bid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=4 ;



CREATE TABLE IF NOT EXISTS `jcow_cache` (
  `ckey` varchar(50) collate utf8_unicode_ci NOT NULL default '',
  `content` text,
  `expired` int(11) NOT NULL default '0'
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COLLATE=utf8_unicode_ci;



CREATE TABLE IF NOT EXISTS `jcow_comments` (
  `id` int(11) NOT NULL auto_increment,
  `target_id` varchar(20) NOT NULL default '',
  `uid` int(11) NOT NULL default '0',
  `message` text,
  `created` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `target_id` (`target_id`),
  KEY `stream_id` (`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_favorites` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `fuid` int(11) NOT NULL default '0',
  `fapp` varchar(100) character set utf8 NOT NULL default '',
  `fsid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `title` varchar(100) character set utf8 NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`fuid`,`fsid`,`created`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=24 ;


CREATE TABLE IF NOT EXISTS `jcow_followers` (
  `uid` int(11) NOT NULL default '0',
  `fid` int(11) NOT NULL default '0',
  KEY `uid` (`uid`,`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_forums` (
  `id` int(11) NOT NULL auto_increment,
  `weight` int(11) NOT NULL default '0',
  `parent_id` int(11) NOT NULL default '0',
  `name` varchar(255) NOT NULL default '',
  `type_pic` varchar(255) NOT NULL default '',
  `description` tinytext,
  `rules` text,
  `forum_type` varchar(50) NOT NULL default '0',
  `threads` int(11) NOT NULL default '0',
  `posts` int(11) NOT NULL default '0',
  `lastpostname` varchar(32) NOT NULL default '',
  `lastposttopicid` int(11) NOT NULL default '0',
  `lastposttopic` varchar(70) NOT NULL default '',
  `lastpostcreated` int(11) NOT NULL default '0',
  `moderator` varchar(255) NOT NULL default '',
  `settings` text,
  `fmembers` int(11) NOT NULL default '0',
  `image` varchar(250) NOT NULL default '',
  `read_roles` varchar(255) NOT NULL default '',
  `upload_roles` varchar(255) NOT NULL default '',
  `thread_roles` varchar(255) NOT NULL default '',
  `reply_roles` varchar(255) NOT NULL default '',
  `moderators` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `belong_id` (`parent_id`),
  KEY `order_num` (`weight`),
  KEY `type_class` (`forum_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=9 ;



INSERT INTO `jcow_forums` (`id`, `weight`, `parent_id`, `name`, `type_pic`, `description`, `rules`, `forum_type`, `threads`, `posts`, `lastpostname`, `lastposttopicid`, `lastposttopic`, `lastpostcreated`, `moderator`, `settings`, `fmembers`, `image`, `read_roles`, `upload_roles`, `thread_roles`, `reply_roles`, `moderators`) VALUES
(7, 1, 0, 'General Category', '', '', '', 'category', 0, 0, '', 0, '', 0, '', '', 0, '', '', '', '', '', ''),
(8, 1, 7, 'General Forum', '', 'This is a general forum', '', 'forum', 0, 0, '', 0, '', 0, '', '', 0, '', '1|2', '2', '2', '2', '');



CREATE TABLE IF NOT EXISTS `jcow_forum_attachments` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `tid` int(11) NOT NULL default '0',
  `uri` varchar(100) NOT NULL default '',
  `des` varchar(255) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  `orginal_name` varchar(255) NOT NULL default '',
  `downloads` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=5 ;



CREATE TABLE IF NOT EXISTS `jcow_forum_polls` (
  `id` int(11) NOT NULL auto_increment,
  `tid` int(11) NOT NULL default '0',
  `question` varchar(100) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `options` text,
  `timeout` int(11) NOT NULL default '0',
  `options_per_user` tinyint(4) NOT NULL default '0',
  `voters` text,
  `total` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=8 ;



CREATE TABLE IF NOT EXISTS `jcow_forum_posts` (
  `id` int(11) NOT NULL auto_increment,
  `tid` bigint(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `message` text,
  `created` int(10) NOT NULL default '0',
  `ip` varchar(30) NOT NULL default '',
  `is_first` tinyint(4) NOT NULL default '0',
  `attach` int(11) NOT NULL default '0',
  `bbcode_off` tinyint(4) NOT NULL default '0',
  `emote_off` tinyint(4) NOT NULL default '0',
  `got_attach` tinyint(4) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `tid` (`tid`),
  KEY `author_id` (`uid`),
  KEY `stream_id` (`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_forum_threads` (
  `id` int(11) NOT NULL auto_increment,
  `fid` int(11) NOT NULL default '0',
  `old_fid` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `userid` int(11) NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `topic` varchar(255) NOT NULL default '',
  `views` int(11) NOT NULL default '0',
  `posts` int(11) NOT NULL default '0',
  `closed` smallint(1) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `lastpostusername` varchar(255) NOT NULL default '0',
  `lastpostcreated` int(10) NOT NULL default '0',
  `icon` tinyint(4) NOT NULL default '0',
  `thread_type` tinyint(1) NOT NULL default '0',
  `thread_lock` tinyint(1) NOT NULL default '0',
  `got_poll` tinyint(11) NOT NULL default '0',
  `got_attach` tinyint(4) NOT NULL default '0',
  `stressed` tinyint(4) NOT NULL default '0',
  `digg` int(11) NOT NULL default '0',
  `dugg` int(11) NOT NULL default '0',
  `votes` text,
  PRIMARY KEY  (`id`),
  KEY `fid` (`fid`),
  KEY `thread_type` (`thread_type`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=29 ;



CREATE TABLE IF NOT EXISTS `jcow_friends` (
  `uid` int(11) NOT NULL default '0',
  `fid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  KEY `uid` (`uid`,`fid`),
  KEY `fid` (`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_friend_reqs` (
  `uid` int(11) NOT NULL default '0',
  `fid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `msg` varchar(200)  NOT NULL default '',
  KEY `uid` (`uid`,`fid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_groups` (
  `id` int(11) NOT NULL auto_increment,
  `uri` varchar(30) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `slogan` varchar(200) NOT NULL default '',
  `creatorid` int(11) NOT NULL default '0',
  `creator` varchar(50) NOT NULL default '',
  `description` text,
  `members` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `logo` varchar(100) NOT NULL default '',
  `private` tinyint(4) NOT NULL default '0',
  `needapproval` tinyint(4) NOT NULL default '0',
  `posts` int(11) NOT NULL default '0',
  `topics` int(11) NOT NULL default '0',
  `lastptime` int(11) NOT NULL default '0',
  `lastpname` varchar(50) NOT NULL default '',
  `password` varchar(32) NOT NULL default '',
  `custom_css` text,
  `style_ids` varchar(50) NOT NULL default '',
  `category` char(2) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `creatorid` (`creatorid`),
  KEY `uri` (`uri`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=21 ;



CREATE TABLE IF NOT EXISTS `jcow_group_categories` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `groups` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `jcow_group_members` (
  `gid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `nickname` varchar(20) NOT NULL default '',
  `about_me` text,
  `hide_profile` tinyint(1) NOT NULL default '0',
  KEY `gid` (`gid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_group_members_pending` (
  `uid` int(11) NOT NULL default '0',
  `gid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `ignored` tinyint(4) NOT NULL default '0',
  KEY `uid` (`uid`,`gid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_group_polls` (
  `id` int(11) NOT NULL auto_increment,
  `tid` int(11) NOT NULL default '0',
  `question` varchar(100) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `options` text,
  `timeout` int(11) NOT NULL default '0',
  `options_per_user` tinyint(4) NOT NULL default '0',
  `voters` text,
  `total` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `tid` (`tid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=6 ;



CREATE TABLE IF NOT EXISTS `jcow_group_postcats` (
  `id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `gid` (`gid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=3 ;



CREATE TABLE IF NOT EXISTS `jcow_group_posts` (
  `id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `tid` bigint(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `rtid` int(11) NOT NULL default '0',
  `rid` int(11) NOT NULL default '0',
  `rname` varchar(100) NOT NULL default '',
  `message` text,
  `created` int(10) NOT NULL default '0',
  `ip` varchar(30) NOT NULL default '',
  `attach` int(11) NOT NULL default '0',
  `bbcode_off` tinyint(4) NOT NULL default '0',
  `emote_off` tinyint(4) NOT NULL default '0',
  `got_attach` tinyint(4) NOT NULL default '0',
  `topic` varchar(100) NOT NULL default '',
  `is_first` tinyint(4) NOT NULL default '0',
  `replies` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `tid` (`tid`),
  KEY `uid` (`uid`),
  KEY `gid` (`gid`),
  KEY `rtid` (`rtid`),
  KEY `rid` (`rid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=100 ;



CREATE TABLE IF NOT EXISTS `jcow_group_topics` (
  `id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `old_fid` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `username` varchar(50) NOT NULL default '',
  `topic` varchar(255) NOT NULL default '',
  `views` int(11) NOT NULL default '0',
  `posts` int(11) NOT NULL default '0',
  `closed` smallint(1) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `lastpostusername` varchar(255) NOT NULL default '0',
  `lastpostcreated` int(11) NOT NULL default '0',
  `icon` tinyint(4) NOT NULL default '0',
  `thread_type` tinyint(1) NOT NULL default '0',
  `thread_lock` tinyint(1) NOT NULL default '0',
  `got_poll` tinyint(11) NOT NULL default '0',
  `got_attach` tinyint(4) NOT NULL default '0',
  `stressed` tinyint(4) NOT NULL default '0',
  `digg` int(11) NOT NULL default '0',
  `dugg` int(11) NOT NULL default '0',
  `votes` text,
  PRIMARY KEY  (`id`),
  KEY `gid` (`gid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=32 ;



CREATE TABLE IF NOT EXISTS `jcow_gvars` (
  `gkey` varchar(50) NOT NULL default '',
  `gvalue` text,
  KEY `gkey` (`gkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



INSERT INTO `jcow_gvars` (`gkey`, `gvalue`) VALUES
('theme_folder', 'themes/default'),
('cf_var1', 'disabled'),
('cf_var2', 'disabled'),
('cf_var3', 'disabled'),
('cf_var4', 'disabled'),
('cf_var5', 'disabled'),
('cf_var6', 'disabled'),
('cf_var7', 'disabled'),
('langs_enabled', 'zh'),
('jcow_version', '4.0'),
('app_music_disable', '0'),
('story_access', 'all'),
('profile_access', 'all'),
('site_slogan', 'This is a Social Network'),
('ad_block_content_top', ''),
('ad_block_content_bottom', ''),
('site_name', 'My Jcow Network'),
('site_email', 'name@domain.com'),
('block_top', ''),
('block_bottom', ''),
('only_invited', '0'),
('session_lived', '1267784005'),
('permission_etheme', '2'),
('permission_atheme', '2|11'),
('private_network', '0'),
('theme_tpl', 'default'),
('theme_css', '1.css'),
('hide_ad_roles', '3'),
('acc_verify', '0'),
('permission_upload', '2'),
('permission_comment', '2'),
('permission_add', '2'),
('permission_browse', '1|2'),
('permission_feed', '1|2'),
('theme_block_adsbar', 'Go to "Admin CP" - "Themes" - "Manage Blocks" to edit this message.'),
('limit_posting_num', '5'),
('app_music', '0');


CREATE TABLE IF NOT EXISTS `jcow_invites` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `email` varchar(255) NOT NULL default '',
  `status` tinyint(4) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `code` varchar(15) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `jcow_langs` (
  `lang_from` varchar(255) NOT NULL default '',
  `lang_to` text,
  `lang` varchar(20) NOT NULL default '',
  KEY `lang_from` (`lang_from`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;
INSERT INTO `jcow_langs` VALUES ('Home','','en'),('Menu','','en'),('Guest','','en'),('Login/ SignUp','','en'),('Friends','','en'),('Text message','','en'),('Search','','en'),('Login','','en'),('Sign up','','en'),('Username or Email','','en'),('Register an account','','en'),('Password','','en'),('Forgot password?','','en'),('Remember me','','en'),('Create an account','','en'),('Full Name','','en'),('Email Address','','en'),('Username','','en'),('Birth','','en'),('Month','','en'),('Day','','en'),('Year','','en'),('Male','','en'),('Female','','en'),('Log in','','en'),('Logout','','en'),('View Profile','','en'),('Edit Profile','','en'),('Apps','','en'),('News Feed','','en'),('Invite','','en'),('Images','','en'),('Admin CP','','en'),('What\'s on your mind?','','en'),('Status','','en'),('Remove','','en'),('Post','','en'),('Hot','','en'),('Following','','en'),('New','','en'),('Filter','','en'),('My account','','en'),('Birthdays coming up','','en'),('My Profile','','en'),('{1} views','','en'),('{1} following','','en'),('{1} followers','','en'),('Preference','','en'),('none','','en'),('Report','','en'),('Delete stream','','en'),('{1} mins ago','','en'),('Comment','','en'),('Like','','en'),('Write a comment','','en'),('Content','','en'),('Title','','en'),('Comments','','en'),('Submit','','en'),('Save changes','','en'),('Categories','','en'),('Shared image','','en'),('Upload/Manage','','en'),('Image Name','','en'),('Next step','','en'),('Latest','','en'),('My network','','en'),('uploaded image','','en'),('Edit','','en'),('Photos','','en'),('Delete','','en'),('Are you sure to delete?','','en'),('Share','','en'),('Views','','en'),('Manage Photos','','en'),('Pages','','en'),('Groups','','en'),('by {1}','','en'),('People','','en'),('Please enter your City first','','en'),('Explore','','en'),('Private message','','en'),('Friend request','','en'),('Friend request confirmed','','en'),('Wall post','','en'),('Stream comment','','en'),('Group reply','','en'),('account','','en'),('Public info','','en'),('Gender','','en'),('Hide','','en'),('Hide my age','','en'),('City','','en'),('Save','','en'),('My information','','en'),('Avatar','','en'),('Privacy','','en'),('{1} hrs ago','','en'),('Messages','','en'),('Details','','en'),('Say HI','','en'),('Say something to the community','','en'),('Finish','','en'),('Terms and Privacy Policy','','en'),('I have read, and agree to abide by the Terms and Privacy Policy.','','en'),('Signup Now','','en'),('Avatar picture','','en'),('Upload','','en'),('Reply','','en'),('Wall','','en'),('Likes','','en'),('Follow','','en'),('Add Friend','','en'),('Message','','en'),('Block','','en'),('Last login','','en'),('Come from','','en'),('Registered','','en'),('{1}\'s profile','','en'),('Report spam, advertising, and problematic.','','en'),('You got a new PM from {1}','','en'),('You have a new PM from {1}','','en'),('Admin Panel','','en'),('Configuration','','en'),('Modules','','en'),('themes','','en'),('Members','','en'),('Member fields','','en'),('Member roles','','en'),('Permissions','','en'),('Text','','en'),('Translation','','en'),('Stream monitor','','en'),('Cache controller','','en'),('Ad blocks','','en'),('Operation success','','en'),('My images','','en'),('Forums','','en'),('My Ads','','en'),('Audios','','en'),('Blogs','','en'),('My blog','','en'),('Videos','','en'),('My videos','','en'),('Events','','en'),('Questions','','en'),('Browse groups','','en'),('Create group','','en'),('Browse pages','','en'),('Create page','','en'),('My feed','','en'),('Boost post','','en'),('Recent threads','','en'),('view recent threads','','en'),('Recent questions','','en'),('Ask a question','','en'),('Show all','','en'),('Related posts','','en'),('New post','','en'),('Rating','','en'),('added a blog post','','en'),('blog entries','','en'),('Top stories','','en'),('Featured','','en'),('Support Markdown format','','en'),('Help','','en'),('Tags','','en'),('Separated with commas','','en'),('Forum','','en'),('Threads','','en'),('Posts','','en'),('Last post','','en'),('Recycle Bin','','en'),('New Thread','','en'),('Replies','','en'),('Forum information','','en'),('Moderators','','en'),('Post options','','en'),('Automatically parse URLs','','en'),('Poll','','en'),('Create a poll','','en'),('Poll question','','en'),('Running days','','en'),('Poll options','','en'),('Place each option on a new line. You may enter up to 13 options','','en'),('Options per user','','en'),('This is the number of options each user may select when voting','','en'),('New Reply','','en'),('Join date','','en'),('Community posts','','en'),('Send Message','','en'),('Quote','','en'),('Manage','','en'),('Lock thread','','en'),('Move thread to other Forums','','en'),('Move thread to Recycle Bin','','en'),('Delete thread','','en'),('Change to Sticky','','en'),('Change to Global','','en'),('Subscribe','','en'),('Quick reply','','en'),('My account1','','en'),('Site configuration','','en'),('General settings','','en'),('Site name','','en'),('Site Slogan','','en'),('Site Keywords','','en'),('Webmaster email','','en'),('Offline','','en'),('Reason','','en'),('Even if offline, you can still access admin area','','en'),('Settings','','en'),('added a video','','en'),('New video','','en'),('asked a question','','en'),('Question','','en'),('Optional','','en'),('Unanswered','','en'),('Follow this question','','en'),('{1} people followed this question','','en'),('Unfollow this question','','en'),('Your answer','','en'),('Answered a question','','en'),('{1} answered your question','','en'),('You have posted your answer','','en'),('Advertising','','en'),('My Balance','','en'),('Load money','','en'),('You need to load AD balance to make your ad displayed','','en'),('Budget','','en'),('Bid','','en'),('Spent','','en'),('You need to login to do this','','en'),('Create a group','','en'),('Group address','','en'),('Example','','en'),('Group Name','','en'),('Group Description','','en'),('New members','','en'),('Free to Join','','en'),('Need approval','','en'),('Description','','en'),('{1} members','','en'),('Change Cover','','en'),('Edit group Logo','','en'),('Pending members','','en'),('Manage members','','en'),('Write something..','','en'),('Write post','','en'),('My Groups','','en'),('No one is available to chat','','en'),('Online','','en'),('{1} liked your post','','en'),('Liked','','en'),('Undo-like','','en'),('{1} people like this','','en'),('Unliked','','en'),('to my Profile','','en'),('to my Page','','en'),('to my Group','','en'),('on my Profile','','en'),('on my Page','','en'),('in a Group','','en'),('See More','','en'),('All comments','','en'),('Create Fan Page','','en'),('Create a page','','en'),('Page Address','','en'),('Page Name','','en'),('Page Description','','en'),('Edit page','','en'),('Edit page Logo','','en'),('Say something about this','','en'),('{1} shared this','','en'),('View','','en'),('Reply to','','en'),('Upload attachments on the next step','','en'),('followers','','en'),('answers','','en'),('Liked pages','','en'),('Share to','','en'),('In my network','','en'),('{1} likes','','en'),('Post as','','en'),('New stories','','en'),('Tag','','en'),('Read more','','en'),('Created an event','','en'),('Start new event','','en'),('No events coming up','','en'),('Subscribed','','en'),('Nearby','','en'),('All Events coming up','','en'),('No events past','','en'),('Past events','','en'),('from 4 to 18 characters, only 0-9,a-z','','en'),('Please fill in all the required blanks','','en'),('Errors','','en'),('Menu','',''),('Guest','',''),('Login/ SignUp','',''),('Friends','',''),('Text message','',''),('Search','',''),('Login','',''),('Sign up','',''),('Username or Email','',''),('Register an account','',''),('Password','',''),('Forgot password?','',''),('Remember me','',''),('Create an account','',''),('Login to comment','','en'),('Please fill the Location','','en'),('Birthday','','en'),('Age','','en'),('You got a new follower','','en'),('{1} followed you from {2}','','en'),('Followed','','en'),('Un-follow','','en'),('Un-followed','','en'),('{1} wants to be your friend','','en'),('Request sent','','en'),('became a friend of {1}','','en'),('Added','','en'),('Friend','','en'),('Member browse','','en'),('Hide me from member browse','','en'),('My Followers','','en'),('You have no follower.','','en'),('Timezone','','en'),('Sorry, only {1} registrations allowed per IP','','en'),('Client Area','','en'),('My Packages','','en'),('Support','','en'),('Click here to go back','','en'),('or Youtube URL','','en'),('uploaded video','','en'),('{1}\'s {2}','','en'),('{1} comments','','en'),('Find new friends','','en'),('My friends','','en'),('Friend requests','','en'),('You have {1} pending requests','','en'),('To others','','en'),('To you','','en'),('Wrong account or password','','en'),('Login to answer','','en'),('Next','','en'),('Prev','','en'),('This week','','en'),('All time','','en'),('{1} answers getting {2} votes','','en'),('Q&A','','en'),('Last 30 days','','en'),('Top experts','','en'),('Image','','en'),('Please fill all requried blanks','','en'),('Upload image','','en'),('Photo','','en'),('Finished','','en'),('Photos of {1}','','en'),('Uploaded images','','en'),('Thumbnail','','en'),('Top questions','','en'),('Ask Question','','en'),('Add Sample user','','en'),('Passport','','en'),('4 to 18 characters, made up of 0-9,a-z','','en'),('Personal info','','en'),('Add user','','en'),('Please fill in the Birthday fields','','en'),('Classifieds','','en'),('Add Listing','','en'),('My listings','','en'),('Recent ads','','en'),('Expire in','','en'),('Day(s)','','en'),('\"0 day\" means already expired','','en'),('Category','','en'),('Created','','en'),('Use as thumbnail','','en'),('{1}\'s wall','','en'),('Modify','','en'),('MoveUp','','en'),('MoveDown','','en'),('{1} activities','','en'),('from {1}','','en'),('Location','','en'),('In my city','','en'),('In my country','','en'),('All','','en'),('Both','','en'),('Connect with Google','','en'),('Facebook connection settings','','en'),('Connect with Facebook','','en'),('Sign up with Email','','en'),('Connect Facebook','','en'),('Connect Google','','en'),('{1} mentioned you','','en'),('Total budget','','en'),('Bid per 1000 views','','en'),('Higher bid get higher priority to be displayed','','en'),('Boost','','en'),('Updated','','en'),('Cancel','','en'),('Ads settings','','en'),('Boosted','','en'),('Others','','en'),('Suggestions','','en'),('Join','','en'),('Created by {1}','','en'),('Local groups','','en'),('Top','','en'),('Approve','','en'),('Reject','','en'),('Requests','','en'),('Joined this network','','en'),('Upload audio','','en'),('Music','','en'),('added a song','','en'),('Name of the song','','en'),('Only mp3 is accepted','','en'),('Music source','','en'),('My own','','en'),('From another musician','','en'),('Musician name','','en'),('Picture','','en'),('A picture about the song or the musician','','en'),('Listens','','en'),('Video link','','en'),('You can add multiple video links as multiple parts','','en'),('Youtube or Vimeo Link','','en'),('<span style=\"color:red\">Reported</span>','','en'),('Current files','','en'),('File','','en'),('Home','主页','zh'),('Admin Panel','后台管理','zh'),('Operation success','操作成功','zh'),('Menu','菜单','zh'),('Logout','退出','zh'),('Friends','朋友','zh'),('Text message','文本消息','zh'),('Search','搜索','zh'),('View Profile','浏览主页','zh'),('Edit Profile','编辑个人主页','zh'),('News feed','信息流','zh'),('Messages','消息','zh'),('Explore','浏览','zh'),('Invite','邀请','zh'),('Images','图片','zh'),('Members','会员','zh'),('Client Area','','zh'),('Videos','视频','zh'),('Questions','问题','zh'),('Blogs','博客','zh'),('Classifieds','','zh'),('My Ads','','zh'),('Audios','音乐','zh'),('Forums','论坛','zh'),('Admin CP','后台管理','zh'),('Groups','圈子','zh'),('Browse groups','','zh'),('Create group','','zh'),('My feed','我的','zh'),('What\'s on your mind?','说点什么？','zh'),('Share','分享','zh'),('Status','状态','zh'),('My Groups','我的圈子','zh'),('Remove','移除','zh'),('Latest','最新','zh'),('Following','关注中','zh'),('New','最新','zh'),('Filter','过滤器','zh'),('Like','賛','zh'),('Write a comment','发表评论','zh'),('Boost post','推广','zh'),('Comment','评论','zh'),('Report','举报','zh'),('Edit','编辑','zh'),('Delete stream','删除','zh'),('See More','浏览更多','zh'),('My account','我的账号','zh'),('Birthdays coming up','生日','zh'),('Recent threads','','zh'),('view recent threads','','zh'),('Recent questions','','zh'),('My Profile','我的主页','zh'),('{1} views','{1}浏览','zh'),('{1} following','{1}关注','zh'),('{1} followers','{1}粉丝','zh'),('Preference','使用偏好','zh'),('My images','我的图片','zh'),('My blog','我的博客','zh'),('none','','zh'),('Ask a question','提问','zh'),('Show all','显示所有','zh'),('Configuration','设定','zh'),('Modules','模块','zh'),('themes','皮肤','zh'),('Member fields','','zh'),('Member roles','','zh'),('Permissions','权限','zh'),('Text','文本','zh'),('Translation','翻译','zh'),('Stream monitor','','zh'),('Cache controller','','zh'),('Ad blocks','广告','zh'),('{1} mins ago','{1}分钟前','zh'),('Sign Up','注册','zh'),('Full Name','全名','zh'),('Email Address','邮箱地址','zh'),('Username','用户名','zh'),('Password','密码','zh'),('Birth','生日','zh'),('Month','月','zh'),('Day','天','zh'),('Year','年','zh'),('Male','男','zh'),('Female','女','zh'),('Connect Facebook','','zh'),('Connect Google','','zh'),('Login to comment','登录后评论','zh'),('{1} comments','{1}评论','zh'),('All comments','所有评论','zh'),('{1} people like this','{1}人点赞','zh'),('{1} shared this','{1}人分享','zh'),('Connect with Facebook','','zh'),('Connect with Google','','zh'),('You need to login to do this','登录后才能操作','zh'),('Sign up with Email','通过email注册','zh'),('Guest','','zh'),('Login/ SignUp','登录/注册','zh'),('Login','登录','zh'),('Create an account','创建新账号','zh'),('Log In','登录','zh'),('Username or Email','用户名或者邮箱','zh'),('Register an account','注册新账号','zh'),('Forgot password?','忘记密码？','zh'),('Remember me','记住我','zh'),('Details','详细内容','zh'),('Hide my age','隐藏年龄','zh'),('Gender','性别','zh'),('Hide','隐藏','zh'),('Say HI','打招呼','zh'),('Say something to the community','对社区说点什么','zh'),('Finish','完成','zh'),('Terms and Privacy Policy','用户协议','zh'),('I have read, and agree to abide by the Terms and Privacy Policy.','我已阅读并同意协议','zh'),('Signup Now','立即注册','zh'),('Post','发表','zh'),('Wall','','zh'),('Likes','点赞','zh'),('Change Cover','','zh'),('Last login','最近登录','zh'),('Come from','','zh'),('Registered','已注册','zh'),('Report spam, advertising, and problematic.','','zh'),('Private message','私信','zh'),('Friend request','朋友邀请','zh'),('Friend request confirmed','朋友邀请确认','zh'),('Wall post','','zh'),('Stream comment','','zh'),('Group reply','','zh'),('account','账号','zh'),('Public info','公开信息','zh'),('Save','保存','zh'),('My information','我的信息','zh'),('Avatar','头像','zh'),('Privacy','隐私','zh'),('Settings','设定','zh'),('Member browse','搜索页面','zh'),('Hide me from member browse','不显示在搜索页面','zh'),('Pages','','zh'),('Site configuration','','zh'),('General settings','','zh'),('Site name','网站名','zh'),('Site Slogan','网站口号','zh'),('Site Keywords','关键词','zh'),('Webmaster email','','zh'),('Offline','','zh'),('Reason','','zh'),('Even if offline, you can still access admin area','','zh'),('Save changes','保存更改','zh'),('点赞','','zh'),('{1} activities','{1}活动','zh'),('from {1}','来自{1}','zh'),('Location','','zh'),('All','','zh'),('Both','','zh'),('System Texts','','zh'),('Delete','','zh'),('Are you sure to delete?','','zh'),('Modify','','zh'),('MoveUp','','zh'),('MoveDown','','zh'),('Submit','提交','zh'),('Events','活动','zh'),('Content','','zh'),('Title','','zh'),('Comments','','zh'),('Categories','','zh'),('Created an event','','zh'),('Start new event','新活动','zh'),('No events coming up','','zh'),('Subscribed','','zh'),('In my network','我的网络','zh'),('Please enter your City first','','zh'),('Nearby','','zh'),('All Events coming up','','zh'),('No events past','','zh'),('Past events','','zh'),('Description','','zh'),('Time','','zh'),('Avatar picture','头像','zh'),('Upload','','zh'),('Current Password','当前密码','zh'),('New password','新密码','zh'),('Re-type new password','重复新密码','zh'),('Email notifications','邮件提醒','zh'),('Unsubscribe','取消订阅','zh'),('Wrong password','','zh'),('Click here to go back','','zh'),('Shared image','','zh'),('Upload/Manage','','zh'),('Image Name','','zh'),('Next step','','zh'),('Hot','热门','zh'),('Say something about this','说点什么','zh'),('Sorry, this community is invite-only','','zh'),('Reply','','zh'),('Follow','关注','zh'),('Add Friend','','zh'),('Block','屏蔽','zh'),('{1}\'s profile','','zh'),('Report SPAM or Abuse','','zh'),('Message to Admin','','zh'),('Send to Admin','','zh'),('Friend requests','','zh'),('You got a new follower','','zh'),('{1} followed you from {2}','','zh'),('Followed','已关注','zh'),('Un-follow','取消关注','zh'),('Un-followed','','zh'),('Blacklist','','zh'),('User Blocked','','zh'),('Unblock','','zh'),('Un-Blocked','','zh'),('Birthday','','zh');

CREATE TABLE IF NOT EXISTS `jcow_messages` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(100) NOT NULL default '',
  `message` text,
  `from_id` int(11) NOT NULL default '0',
  `to_id` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `hasread` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `from_id` (`from_id`,`to_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=25 ;




CREATE TABLE IF NOT EXISTS `jcow_profiles` (
  `id` int(11) NOT NULL default '0',
  `style_ids` varchar(255) NOT NULL default '',
  `custom_css` text,
  `background` varchar(100) NOT NULL default '',
  `videoid` int(11) NOT NULL default '0',
  `favorites` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `jcow_profile_comments` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `target_id` int(11) NOT NULL default '0',
  `message` text,
  `created` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `stream_id` (`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `jcow_roles` (
  `id` int(11) NOT NULL default '0',
  `name` varchar(100) character set utf8 NOT NULL default '',
  KEY `id` (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



INSERT INTO `jcow_roles` (`id`, `name`) VALUES
(1, 'Guest'),
(2, 'General member'),
(3, 'Administrator');




CREATE TABLE IF NOT EXISTS `jcow_stories` (
  `id` int(11) NOT NULL auto_increment,
  `cid` int(11) NOT NULL default '0',
  `sticky` tinyint(4) NOT NULL default '0',
  `closed` tinyint(4) NOT NULL default '0',
  `title` varchar(120) NOT NULL default '',
  `thumbnail` varchar(255) NOT NULL default '',
  `content` text,
  `uid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `lastreply` int(11) NOT NULL default '0',
  `lastreplyuname` varchar(50) NOT NULL default '',
  `lastreplyuid` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  `comments` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  `app` varchar(50) NOT NULL default '',
  `digg` int(11) NOT NULL default '0',
  `dugg` int(11) NOT NULL default '0',
  `photos` int(11) NOT NULL default '0',
  `tags` varchar(255) NOT NULL default '',
  `featured` tinyint(4) NOT NULL default '0',
  `var1` varchar(255) NOT NULL default '',
  `var2` varchar(255) NOT NULL default '',
  `var3` varchar(255) NOT NULL default '',
  `var4` varchar(255) NOT NULL default '',
  `var5` varchar(255) NOT NULL default '',
  `text1` text,
  `text2` text,
  `blob1` blob,
  `rating` text,
  `page_id` int(11) NOT NULL default '0',
  `page_type` VARCHAR( 25 ) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `app` (`app`),
  KEY `uid` (`uid`),
  KEY `page_id` (`page_id`),
  KEY `cid` (`cid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=79 ;



CREATE TABLE IF NOT EXISTS `jcow_story_categories` (
  `id` int(11) NOT NULL auto_increment,
  `gid` int(11) NOT NULL default '0',
  `name` varchar(150) NOT NULL default '',
  `description` text,
  `weight` int(11) NOT NULL default '0',
  `app` varchar(50) NOT NULL default '',
  `var1` varchar(255) NOT NULL default '',
  `var2` varchar(255) NOT NULL default '',
  `var3` varchar(255) NOT NULL default '',
  `var4` varchar(255) NOT NULL default '',
  `var5` varchar(255) NOT NULL default '',
  `uri` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`),
  KEY `app` (`app`),
  KEY `weight` (`weight`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;


CREATE TABLE IF NOT EXISTS `jcow_story_cat_groups` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(100) NOT NULL default '',
  `app` varchar(50) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=7 ;



CREATE TABLE IF NOT EXISTS `jcow_story_photos` (
  `id` int(11) NOT NULL auto_increment,
  `sid` int(11) NOT NULL default '0',
  `uri` varchar(100) NOT NULL default '',
  `des` varchar(255) NOT NULL default '',
  `thumb` varchar(100) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `sid` (`sid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=48 ;



CREATE TABLE IF NOT EXISTS `jcow_streams` (
  `id` int(11) NOT NULL auto_increment,
  `message` text,
  `wall_id` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `attachment` text,
  `created` int(11) NOT NULL default '0',
  `type` tinyint(1) NOT NULL default '0',
  `app` varchar(20) NOT NULL default '',
  `aid` int(11) NOT NULL default '0',
  `hide` tinyint(1) NOT NULL default '0',
  `likes` int(11) NOT NULL default '0',
  `dislikes` int(11) NOT NULL default '0',
  `stuff_id` int(11) NOT NULL default '0',
  `data` text,
  PRIMARY KEY  (`id`),
  KEY `app` (`app`),
  KEY `aid` (`aid`),
  KEY `stuff_id` (`stuff_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8mb4 AUTO_INCREMENT=1;


CREATE TABLE IF NOT EXISTS `jcow_disliked` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;




CREATE TABLE IF NOT EXISTS `jcow_tags` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `app` varchar(25) NOT NULL default '',
  `num` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=17 ;



CREATE TABLE IF NOT EXISTS `jcow_tag_ids` (
  `tid` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL default '0',
  KEY `tid` (`tid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;




CREATE TABLE IF NOT EXISTS `jcow_texts` (
  `tkey` varchar(50) NOT NULL default '',
  `tvalue` text,
  KEY `tkey` (`tkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



INSERT INTO `jcow_texts` (`tkey`, `tvalue`) VALUES
('welcome_pm', 'Hello %username%!\r\nThank you for your registeration!\r\nPlease invite your friends to join our community.'),
('welcome_email', 'Dear %username%,\r\nWelcome to %sitelink%!\r\nYour login email is: %email%\r\nOur URL is:\r\n%sitelink%'),
('welcome_msg', 'Welcome to our Community!'),
('rules_conditions', 'none'),
('footermsg', 'Your footer here..'),
('locations', 'Afghanistan  \r\nAlbania  \r\nAlgeria  \r\nAmerican Samoa  \r\nAndorra  \r\nAngola  \r\nAnguilla  \r\nAntarctica  \r\nAntigua and Barbuda  \r\nArgentina  \r\nArmenia  \r\nAruba  \r\nAustralia  \r\nAustria  \r\nAzerbaidjan  \r\nBahamas  \r\nBahrain  \r\nBangladesh  \r\nBarbados  \r\nBelarus  \r\nBelgium  \r\nBelize  \r\nBenin  \r\nBermuda  \r\nBhutan  \r\nBolivia  \r\nBosnia-Herzegovina  \r\nBotswana  \r\nBouvet Island  \r\nBrazil  \r\nBrunei Darussalam  \r\nBulgaria  \r\nBurkina Faso  \r\nBurundi  \r\nCambodia  \r\nCameroon  \r\nCanada  \r\nCape Verde  \r\nCayman Islands  \r\nCentral African Republic  \r\nChad  \r\nChile  \r\nChina  \r\nChristmas Island  \r\nCocos Islands  \r\nColombia  \r\nComoros  \r\nCongo  \r\nCook Islands  \r\nCosta Rica  \r\nCroatia  \r\nCuba  \r\nCyprus  \r\nCzech Republic  \r\nDenmark  \r\nDjibouti  \r\nDominica  \r\nDominican Republic  \r\nEast Timor  \r\nEcuador  \r\nEgypt  \r\nEl Salvador  \r\nEquatorial Guinea  \r\nEstonia  \r\nEthiopia  \r\nFalkland Islands  \r\nFaroe Islands  \r\nFiji  \r\nFinland  \r\nFormer Czechoslovakia  \r\nFrance  \r\nFrench Guyana  \r\nGabon  \r\nGambia  \r\nGeorgia  \r\nGermany  \r\nGhana  \r\nGibraltar  \r\nGreat Britain  \r\nGreece  \r\nGreenland  \r\nGrenada  \r\nGuadeloupe  \r\nGuam  \r\nGuatemala  \r\nGuinea  \r\nGuinea Bissau  \r\nGuyana  \r\nHaiti  \r\nHonduras  \r\nHong Kong  \r\nHungary  \r\nIceland  \r\nIndia  \r\nIndonesia  \r\nIran  \r\nIraq  \r\nIreland  \r\nIsrael  \r\nItaly  \r\nIvory Coast  \r\nJamaica  \r\nJapan  \r\nJordan  \r\nKazakhstan  \r\nKenya  \r\nKiribati  \r\nKuwait  \r\nKyrgyzstan  \r\nLaos  \r\nLatvia  \r\nLebanon  \r\nLesotho  \r\nLiberia  \r\nLibya  \r\nLiechtenstein  \r\nLithuania  \r\nLuxembourg  \r\nMacau  \r\nMacedonia  \r\nMadagascar  \r\nMalawi  \r\nMalaysia  \r\nMaldives  \r\nMali  \r\nMalta  \r\nMarshall Islands  \r\nMartinique  \r\nMauritania  \r\nMauritius  \r\nMayotte  \r\nMexico  \r\nMicronesia  \r\nMoldavia  \r\nMonaco  \r\nMongolia  \r\nMontserrat  \r\nMorocco  \r\nMozambique  \r\nMyanmar  \r\nNamibia  \r\nNauru  \r\nNepal  \r\nNetherlands  \r\nNetherlands Antilles  \r\nNeutral Zone  \r\nNew Caledonia  \r\nNew Zealand  \r\nNicaragua  \r\nNiger  \r\nNigeria  \r\nNiue  \r\nNorfolk Island  \r\nNorth Korea  \r\nNorway  \r\nOman  \r\nPakistan  \r\nPalau  \r\nPanama  \r\nPapua New Guinea  \r\nParaguay  \r\nPeru  \r\nPhilippines  \r\nPitcairn Island  \r\nPoland  \r\nPolynesia  \r\nPortugal  \r\nPuerto Rico  \r\nQatar  \r\nReunion  \r\nRomania  \r\nRussian Federation  \r\nRwanda  \r\nSaint Helena  \r\nSaint Lucia  \r\nSaint Vincent and Grenadines  \r\nSamoa  \r\nSan Marino  \r\nSaudi Arabia  \r\nSenegal  \r\nSeychelles  \r\nSierra Leone  \r\nSingapore  \r\nSlovak Republic  \r\nSlovenia  \r\nSolomon Islands  \r\nSomalia  \r\nSouth Africa  \r\nSouth Korea  \r\nSpain  \r\nSri Lanka  \r\nSudan  \r\nSuriname  \r\nSwaziland  \r\nSweden  \r\nSwitzerland  \r\nSyria  \r\nTadjikistan  \r\nTaiwan  \r\nTanzania  \r\nThailand  \r\nTogo  \r\nTokelau  \r\nTonga  \r\nTrinidad and Tobago  \r\nTunisia  \r\nTurkey  \r\nTurkmenistan  \r\nTuvalu  \r\nUganda  \r\nUkraine  \r\nUnited Arab Emirates  \r\nUnited Kingdom  \r\nUnited States  \r\nUruguay  \r\nUzbekistan  \r\nVanuatu  \r\nVatican City State  \r\nVenezuela  \r\nVietnam  \r\nVirgin Islands (British)  \r\nVirgin Islands (USA)  \r\nWallis and Futuna Islands  \r\nWestern Sahara  \r\nYemen  \r\nYugoslavia  \r\nZaire  \r\nZambia  \r\nZimbabwe');


CREATE TABLE IF NOT EXISTS `jcow_tmp` (
  `tkey` varchar(70) NOT NULL default '',
  `tcontent` text,
  KEY `tkey` (`tkey`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_var_cache` (
  `name` varchar(60) NOT NULL default '',
  `content` varchar(255) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  KEY `name` (`name`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_votes` (
  `sid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `rate` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  KEY `sid` (`sid`,`uid`),
  KEY `created` (`created`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_forum_subscribes` (
  `uid` int(11) NOT NULL default '0',
  `tid` int(11) NOT NULL default '0',
  KEY `uid` (`uid`,`tid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `jcow_chatrooms` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `fid` int(11) NOT NULL default '0',
  `content` text,
  `updated` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `request_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`fid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_reports` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `message` text,
  `hasread` tinyint(1) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;



CREATE TABLE IF NOT EXISTS `jcow_reports` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `url` varchar(255) NOT NULL default '',
  `message` text,
  `hasread` tinyint(1) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_messages_sent` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(100) NOT NULL default '',
  `message` text,
  `from_id` int(11) NOT NULL default '0',
  `to_id` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `hasread` tinyint(4) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `from_id` (`from_id`,`to_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_liked` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`),
  KEY `stream_id` (`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_subscr` (
  `id` varchar(32) NOT NULL default '',
  `item_number` varchar(32) NOT NULL default '',
  `status` varchar(25) NOT NULL default '',
  `uid` int(11) NOT NULL default '0',
  `timeline` int(11) NOT NULL default '0',
  KEY `id` (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_menu` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `tab_name` varchar(50) NOT NULL default '',
  `weight` int(11) NOT NULL default '0',
  `path` varchar(255) NOT NULL default '',
  `app` varchar(50) NOT NULL default '',
  `actived` tinyint(1) NOT NULL default '0',
  `type` varchar(25) NOT NULL default '',
  `protected` tinyint(1) NOT NULL default '0',
  `allowed_roles` text,
  `icon` varchar(255) NOT NULL default '',
  `parent` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=105 ;



INSERT INTO `jcow_menu` VALUES (14,'My feed','In my network',1,'feed','feed',1,'app',0,'1','',''),(18,'My account','My information',20,'account','account',1,'personal',0,'','',''),(19,'Avatar','',34,'account/avatar','account',1,'tab',0,'','','account'),(21,'Privacy','',36,'account/privacy','account',1,'tab',0,'','','account'),(22,'Password','',37,'account/cpassword','account',1,'tab',0,'','','account'),(101,'Images','Hot',42,'images','images',1,'community',0,'1,2','',''),(105,'Settings','',43,'account/settings','account',1,'tab',0,'1,2','','account'),(106,'Messages','',44,'message/inbox','message',1,'app',0,'1,2','',''),(107,'New','',45,'images/newest','images',1,'tab',0,'1,2','','images'),(108,'In my network','',46,'images/following','images',1,'tab',0,'1,2','','images'),(109,'My images','',47,'images/mine','images',1,'personal',0,'1,2','','jcow_base'),(132,'Members','Browse',48,'browse','browse',1,'crossplatform',1,'1,2','','');



CREATE TABLE IF NOT EXISTS `jcow_modules` (
  `name` varchar(50) NOT NULL default '',
  `actived` tinyint(1) NOT NULL default '0',
  `hooking` tinyint(4) NOT NULL default '0',
  KEY `name` (`name`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



INSERT INTO `jcow_modules` VALUES ('browse',1,0),('feed',1,0),('dashboard',1,1),('account',1,0),('admin',1,1),('u',1,0),('member',1,0),('follow',1,0),('friends',1,0),('jquery',1,0),('language',1,0),('message',1,0),('notifications',1,0),('preference',1,0),('report',1,0),('rss',1,0),('search',1,0),('apps',1,0),('blacklist',1,0),('update',1,0),('images',1,1),('forums',0,1),('forumadmin',0,0),('ads',0,1),('music',0,1),('blogs',0,1),('page',0,0),('group',0,0),('groups',0,1),('videos',0,1),('events',0,1),('pages',0,1),('questions',0,1),('chatbar',0,1),('cache',0,1),('fblogin',0,0),('mobile',0,1);




CREATE TABLE IF NOT EXISTS `jcow_banned` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(100) NOT NULL default '',
  `ip1` varchar(3) NOT NULL default '',
  `ip2` varchar(3) NOT NULL default '',
  `ip3` varchar(3) NOT NULL default '',
  `ip4` varchar(3) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `expired` int(11) NOT NULL default '0',
  `operator` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=15 ;



CREATE TABLE IF NOT EXISTS `jcow_pages` (
  `id` int(11) NOT NULL auto_increment,
  `uri` varchar(30) NOT NULL default '',
  `uid` int(11) NOT NULL default '0',
  `views` int(11) NOT NULL default '0',
  `logo` varchar(100) NOT NULL default '',
  `name` varchar(100) NOT NULL default '',
  `style_ids` text,
  `custom_css` text,
  `background` varchar(100) NOT NULL default '',
  `type` varchar(25) NOT NULL default '',
  `description` text,
  `users` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `var1` varchar(255) NOT NULL default '',
  `var2` varchar(255) NOT NULL default '',
  `var3` varchar(255) NOT NULL default '',
  `text1` text,
  `text2` text,
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`),
  KEY `uri` (`uri`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;



CREATE TABLE IF NOT EXISTS `jcow_page_users` (
  `id` int(11) NOT NULL auto_increment,
  `pid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `pid` (`pid`,`uid`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_user_crafts` (
  `uid` int(11) NOT NULL default '0',
  `hash` varchar(5) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  KEY `uid` (`uid`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_disliked` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`,`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 ;


CREATE TABLE IF NOT EXISTS `jcow_footer_pages` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL default '',
  `link_name` varchar(255) NOT NULL default '',
  `content` text,
  `weight` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_pending_review` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `content` text,
  `uri` varchar(255) NOT NULL default '',
  `post_id` varchar(50) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `ignored` tinyint(4) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`),
  KEY `post_id` (`post_id`),
  KEY `stream_id` (`stream_id`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


CREATE TABLE IF NOT EXISTS `jcow_limit_posting` (
  `uid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `act` varchar(50) NOT NULL default '',
  KEY `uid` (`uid`,`created`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `jcow_mentions` (
  `id` int(11) NOT NULL auto_increment,
  `uid` int(11) NOT NULL default '0',
  `stream_id` int(11) NOT NULL default '0',
  `wall_id` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_topics` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(50) NOT NULL default '',
  `stories` int(11) NOT NULL default '0',
  `followers` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  `featured` tinyint(4) NOT NULL default '0',
  `description` text,
  PRIMARY KEY  (`id`),
  KEY `name` (`name`),
  KEY `stories` (`stories`),
  KEY `featured` (`featured`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;



CREATE TABLE IF NOT EXISTS `jcow_topics_followed` (
  `uid` int(11) NOT NULL default '0',
  `tid` int(11) NOT NULL default '0',
  KEY `uid` (`uid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;



CREATE TABLE IF NOT EXISTS `jcow_topic_ids` (
  `tid` int(11) NOT NULL default '0',
  `sid` int(11) NOT NULL default '0',
  KEY `tid` (`tid`,`sid`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;


CREATE TABLE IF NOT EXISTS `jcow_page_visitors` (
  `pid` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `updated` int(11) NOT NULL default '0',
  KEY `pid_uid` (`pid`,`uid`),
  KEY `pid_updated` (`pid`,`updated`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `jcow_status_photos` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `sid` int(11) NOT NULL default '0',
  `pid` int(11) NOT NULL default '0',
  `uri` varchar(100) NOT NULL default '',
  `des` varchar(255) NOT NULL default '',
  `thumb` varchar(100) NOT NULL default '',
  `size` int(11) NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `sid` (`sid`),
  KEY `pid` (`pid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1;

CREATE TABLE IF NOT EXISTS `jcow_spammers` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userkey` varchar(255) NOT NULL default '',
  `type` varchar(50) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `status` varchar(50) NOT NULL default '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `userkey` (`userkey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_spammers_cloud` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `userkey` varchar(255) NOT NULL default '',
  `type` varchar(50) NOT NULL default '',
  `created` int(11) NOT NULL default '0',
  `status` varchar(50) NOT NULL default '',
  PRIMARY KEY (`id`),
  UNIQUE KEY `userkey` (`userkey`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_requests` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL default '0',
  `question` text,
  `answer` text,
  `created` int(11) NOT NULL default '0',
  PRIMARY KEY (`id`),
  KEY `uid` (`uid`)
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_im` (
`id` int(11) NOT NULL default '0',
  `from_id` int(11) NOT NULL default '0',
  `to_id` int(11) NOT NULL default '0',
  `message` text,
  `created` int(11) NOT NULL default '0',
  `hasread` tinyint(4) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

CREATE TABLE IF NOT EXISTS `jcow_notes` (
`id` int(11) NOT NULL default '0',
  `uid` int(11) NOT NULL default '0',
  `created` int(11) NOT NULL default '0',
  `message` text,
  `from_uid` int(11) NOT NULL default '0',
  `hasread` tinyint(4) NOT NULL
) ENGINE=InnoDB  DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;


ALTER TABLE `jcow_im`
 ADD PRIMARY KEY (`id`), ADD KEY `from_id` (`from_id`,`to_id`);

ALTER TABLE `jcow_notes`
 ADD PRIMARY KEY (`id`), ADD KEY `uid` (`uid`);


ALTER TABLE `jcow_im`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;
ALTER TABLE `jcow_notes`
MODIFY `id` int(11) NOT NULL AUTO_INCREMENT,AUTO_INCREMENT=1;


